package nts.interf.expr;

import java.util.List;

import nts.interf.base.IExpr;

/**
 * Expression list of the form <tt>[e1,..,en]</tt> used in multiple array assignments.
 * Parser ensures that <tt>[e1]</tt> is represented as <tt>e1</tt>, hence the length
 * of the list is greater or equal to 2.
 *
 */
public interface IExprList extends IExpr {
	public List<IExpr> expressions();
}
