package nts.interf.expr;

import java.util.List;

import nts.interf.base.IExpr;


/**
 * A havoc expression <tt>havoc(x1, x2, ..., xn)</tt> whose semantics is
 * that all variables in the scope, except for <tt>{x1, x2, ..., xn}</tt>, are copied. 
 *
 */
public interface IHavoc extends IExpr {
	public List<IAccessBasic> vars(); 
}
