package nts.parser;

import org.antlr.runtime.Token;
import org.antlr.runtime.CommonToken;

public class Common {
	
	public static String at(Token aToken) {
		return "[l:"+aToken.getLine()+",c:"+(aToken.getCharPositionInLine())+"]";
	}
	
	public static MBaseParser parser;
	
	// creating primed counters out of unprimed
	public static CommonToken createPrimed(CommonToken other) {
		return parser.dummyPrimed(other);
	}
	
	public static char PR = '\'' ;
	public static boolean unprimed(String s) {
		return s.charAt(s.length()-1) == PR;
	}
	public static String unprime(String s) {
		if (!unprimed(s))
			throw new RuntimeException("internal error");
		return s.substring(0, s.length()-1);
	}
}
