package nts.parser;

import nts.interf.expr.IExprUnaryMinus;
import nts.interf.base.IVisitor;

import org.antlr.runtime.Token;

public class ExUnaryMinus extends OpUn implements IExprUnaryMinus {
	
	public void accept(IVisitor v) { v.visit(this); }
	
	public ExUnaryMinus(Token aT, Expr aE) { super(aT,aE); }
	
	ExUnaryMinus syn_copy() { return new ExUnaryMinus(token,op.syn_copy()); }
	
	Expr semanticChecks(VarTable aVT, SemFlags seType) {
		
		super.semanticChecks(aVT,seType);
		
		op.checkNum();
		type = op.type;
		
		return this;
	}
}
