package nts.parser;

import org.antlr.runtime.*;

import nts.interf.base.EModifier;

public abstract class MBaseParser extends org.antlr.runtime.Parser {

	public MBaseParser(TokenStream input, RecognizerSharedState state) {
		super(input, state);
	}

	public abstract CommonToken dummyTrue();
	public abstract CommonToken dummyAnd();
	public abstract CommonToken dummyImpl();
	public abstract CommonToken dummyEquiv();
	public abstract CommonToken dummyLeq();
	public abstract CommonToken dummyTid();
	public abstract CommonToken dummyPrimed(CommonToken aToken);
	public abstract CommonToken dummyNum(int aVal);
	public abstract CommonToken dummyLparS();
	public abstract boolean isPrimedId(Token aToken);
	public abstract EModifier token2modifier(Token aToken);
}
