package nts.parser;

import nts.interf.base.EBasicType;

import org.antlr.runtime.Token;

public abstract class OpBinBool extends OpBin {
	
	protected OpBinBool(Token aT, Expr aE1, Expr aE2) { super(aT,aE1,aE2); }
	
	// semantic checks common for all binary boolean operators
	Expr semanticChecks(VarTable aVT, SemFlags seType) {
		
		super.semanticChecks(aVT, seType);
		
		op1.checkBool();
		op2.checkBool();
		
		type = new Type(EBasicType.BOOL);
		
		return this;
	}
}
