package nts.parser;

import nts.interf.base.EBasicType;

import org.antlr.runtime.Token;

public abstract class OpBinRel extends OpBin {
	
	protected OpBinRel(Token aT, Expr aE1, Expr aE2) { super(aT,aE1,aE2); }
	
	Expr semanticChecks(VarTable aVT, SemFlags seType) {
		
		super.semanticChecks(aVT, seType);
		
		op1.checkNum();
		op2.checkNum();
		
		type = new Type(EBasicType.BOOL);
		
		return this;
		
	}
}
