package nts.interf.base;

/**
 * Syntactical elements that can be annotated implement this interface.
 *
 */
public interface IAnnotated {
	/**
	 * 
	 * @return true if and only if the syntactical element has been annotated
	 */
	public boolean isAnnotated();
	/**
	 * 
	 * @return annotations if the syntactical element has been annotated, <tt>null</tt> otherwise
	 */
	public IAnnotations annotations();
}
