package nts.interf.expr;

import nts.interf.base.IAccess;
import nts.interf.base.IExpr;
import nts.interf.base.IVarTableEntry;

/**
 * A basic access to a variable -- an access without indexing.
 * <p>
 * Indexed access can also represent the left-hand side of an array assignment (see ).
 *
 */
public interface IAccessBasic extends IAccess, IExpr {
	/**
	 * 
	 * @return variable table entry for the accessed variable
	 */
	public IVarTableEntry var();
}
