package nts.interf.expr;

import nts.interf.base.IAccess;
import nts.interf.base.IExpr;


/**
 * Array-size operator. E.g. <tt>|a|</tt>, or <tt>|a[i]|</tt>.
 *
 */
public interface IExprArraySize extends IExpr {
	/**
	 * 
	 * @return the array-access term, e.g. <tt>a</tt> for an array-size term <tt>|a|</tt>, 
	 * or <tt>a[i]</tt> for an array-size term <tt>|a[i]|</tt>.
	 */
	public IAccess access();
}
