package nts.parser;

import nts.interf.expr.IAccessBasic;
import nts.interf.base.IVisitor;

import org.antlr.runtime.Token;

public class AccessBasic extends Access implements IAccessBasic {
	
	public void accept(IVisitor v) { v.visit(this); }
	
	protected AccessBasic(Token aId) {
		super(aId);
	}
	
	public int accessDepth() { return 0; }
	public int multiAccess() { return 1; }
	
	public AccessBasic syn_copy() {
		AccessBasic e = new AccessBasic(token);
		e.entry = entry;
		return e;
	}
	
	Expr semanticChecks(VarTable aVT, SemFlags seType) {
		
		check_base(aVT,seType);
		
		return this;
	}

}
