package nts.parser;

import nts.interf.base.IVisitor;
import nts.interf.expr.IExprGeq;

import org.antlr.runtime.Token;

public class ExGeq extends OpBinRel implements IExprGeq {

	public void accept(IVisitor v) { v.visit(this); }
	
	public ExGeq(Token aT, Expr aE1, Expr aE2) { super(aT,aE1,aE2); }
	
	public static ExGeq createRev(Token aT, Expr aE2, Expr aE1) { return new ExGeq(aT,aE1,aE2); }
	
	ExGeq syn_copy() { return new ExGeq(token,op1.syn_copy(),op2.syn_copy()); }
}
