package nts.parser;

import nts.interf.base.IVisitor;
import nts.interf.expr.IExprMult;

import org.antlr.runtime.Token;

public class ExMult extends OpBinArith implements IExprMult {

	public void accept(IVisitor v) { v.visit(this); }
	
	public ExMult(Token aT, Expr aE1, Expr aE2) { super(aT,aE1,aE2); }
	
	public static ExMult createRev(Token aT, Expr aE2, Expr aE1) { return new ExMult(aT,aE1,aE2); }
	
	ExMult syn_copy() { return new ExMult(token,op1.syn_copy(),op2.syn_copy()); }
}
