package nts.parser;

import org.antlr.runtime.Token;

import nts.interf.base.IExprUn;

public abstract class OpUn extends Expr implements IExprUn {
	protected Expr op;
	
	public OpUn(Token aToken, Expr aOp) {
		super(aToken, aOp.first);
		op = aOp;
	}
	
	// interface
	public Expr operand() { return op; }
	/////////////////////////////////////////////////////
	
	
	Expr semanticChecks(VarTable aVT, SemFlags seType) {
		
		op = op.semanticChecks(aVT,seType);
		
		return this;
	}
}
